`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: Greg Miller
// Copyright (c) 2016, Greg Miller
// Copyright (c) 2020, Wolfgang Scherr 
// 
// Create Date:    14:26:59 08/13/2016 
// Design Name: 
// Module Name:    mc6809e
// Project Name:   Cycle-Accurate 6809 Core - clock gated variant of the 6809E
// Target Devices: Artix-7 (xc7a35t)
// Tool versions: 
// Description: 
//
// Dependencies: n/a
//
// Revision: 
// Revision 1.1 - clock gating for embedded system use (W.Scherr)
// Revision 1.0 - Initial Release (https://github.com/cavnex/mc6809/)
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////

module mc6809e(
    input   CLK,	// synchronous system clock
    input   E_N,    // negative edge of E (clock enable)
    input   Q_N,    // negative edge of Q (clock enable)
    input   [7:0] D,
    output  [7:0] DOut,
    output  [15:0] ADDR,
    output  RnW,
    output  BS,
    output  BA,
    input   nIRQ,
    input   nFIRQ,
    input   nNMI,
    output  AVMA,
    output  BUSY,
    output  LIC,
    input 	nHALT,	 
    input   nRESET
    );



mc6809i cpucore (.CLK(CLK), .E_N(E_N), .Q_N(Q_N), .D(D), .DOut(DOut), .ADDR(ADDR), .RnW(RnW), .BS(BS), .BA(BA), .nIRQ(nIRQ), .nFIRQ(nFIRQ), 
                .nNMI(nNMI), .AVMA(AVMA), .BUSY(BUSY), .LIC(LIC), .nHALT(nHALT), .nRESET(nRESET), .nDMABREQ(1'b1)
                );


endmodule
